OVH Community, votre nouvel espace communautaire.

Mise à jour de la version de PHP


Manespo
13/12/2013, 14h57
...

Nowwhat
13/12/2013, 14h18
Up !

Ce matin, j'ai reçu un mail de mon serveur pour m'informer qu'une nouvelle mise à jour est disponible concernant PHP:
Code:
The following packages are currently pending an upgrade:

	php5 5.4.4-14+deb7u7
	php5-cgi 5.4.4-14+deb7u7
	php5-cli 5.4.4-14+deb7u7
	php5-common 5.4.4-14+deb7u7
	php5-curl 5.4.4-14+deb7u7
	php5-dev 5.4.4-14+deb7u7
	php5-gd 5.4.4-14+deb7u7
	php5-imap 5.4.4-14+deb7u7
	php5-mcrypt 5.4.4-14+deb7u7
	php5-mysql 5.4.4-14+deb7u7
	php-pear 5.4.4-14+deb7u7
Ils s'agit d'une mise à jour avec une priorité basse, lié au fait que CURL a été mise à jour juste avant (lui: urgent).

Nowwhat
12/12/2013, 18h47
Bizarre.

Sur un Debian à jour, la version PHP (stable !) est:
Code:
server:~# php -v
PHP 5.4.4-14+deb7u5 (cli) (built: Oct  5 2013 15:43:05)
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies
Version Debian:
Code:
server:~# cat /etc/debian_version
7.2

belead
12/12/2013, 17h43
Quand je tente de faire un apt-get install php5, il tente de m'installer une nouvelle version de mysql également et le message suivant apparait :

Depends: mysql-server-core-5.1 (= 5.1.66-0+squeeze1) but 5.1.72-2 is to be installed

Pareil pour PHP

libapache2-mod-php5 (>= 5.3.3-7+squeeze17) but 5.3.3-7+squeeze15 is to be installed

Mais donc moi je cherche à installer idéalement une version de php >= 5.4

Manespo
12/12/2013, 17h33
...

belead
12/12/2013, 17h32
Bonjour,

Je souhaiterais faire une mise à jour de la version PHP de mon serveur VPS (actuellement 5.3.3-7) et avoir une version supérieure à 5.3.7 pour pouvoir faire tourner le framework Laravel.

Je ne sais absolument pas comment m'y prendre, auriez-vous un tuto ou une petite ligne de commande à me conseiller?

J'ai deja essayé par ssh avec un apt-get install php5 mais cela bloque directement.

Merci d'avance